%global __cmake_in_source_build 1

Summary: A 2D Physics Engine for Games
Name: Box2D
Version:  2.4.1
Release:  3%{?dist}
License: zlib
URL: http://box2d.org/
Source0: https://github.com/erincatto/box2d/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make cmake
BuildRequires:  gcc gcc-c++

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description
Box2D is an open source C++ engine for simulating 2D rigid bodies, developed by Erin Catto. 

%description devel
These are the development files.

%prep
%autosetup -n box2d-%{version}
rm -r extern

%build
%cmake -DBOX2D_INSTALL=ON -DBOX2D_BUILD_SHARED=ON -DBOX2D_BUILD_TESTBED=OFF -DBOX2D_BUILD_UNIT_TESTS=OFF .
%cmake_build

%install
%make_install

%files
%license LICENSE
%{_libdir}/*.so.2*

%files devel
%doc README.md docs/
%{_includedir}/box2d
%{_libdir}/*.so
%{_libdir}/cmake/box2d/*.cmake

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 2.4.1-1
- package init.
